routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::namespace('Admin')
    ->name('admin.')
    ->prefix('admin')
    ->middleware('auth')
    ->group(function () {
        Route::resource('articles','ArticlesController')->only('index', 'show', 'store');
        Route::resource('categories','CategorysController')->only('show');
        Route::resource('tags','TagController')->only('show');
        Route::resource('articles.comments', 'CommentsArticlesController')->only('store');
    });


Route::get('/', function () {
    return view('welcome');
});
Route::resource('news', 'PublicationController');
Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

app/Category.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Category extends Model
{
    protected $fillable = ['title_category'];


    /**
     * @return \Illuminate\Database\Eloquent\Relations\HasMany
     */
    public function article()
    {
        return $this->hasMany(Article::class);
    }
}

app/Http/Controllers/Admin/CategorysController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Category;
use App\Http\Controllers\Controller;
use App\Tags;


class CategorysController extends Controller
{

    /**
     * @param $id
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function show($id)
    {
        $tags = Tags::all();
        $categories= Category::all();
        $category = Category::findOrFail($id);
        $tag = Tags::findOrFail($id);
        return view('admin.categories.show', compact('tag', 'tags','category','categories'));
    }


}

resources/views/admin/categories/show.blade.php
@extends('layouts.app')

@section('content')
    <div class="container">
    <div class="row mt-5">
        <div class="col-8">
            <h2 class="mb-4">Статьи</h2>
            @foreach($category->article->sortByDesc('created_at') as $article)
                <h4>{{$article->category->title_category}}</h4>
                <h3 class="mb-2">{{$article->title}}</h3>

                <h5 class="text-secondary mb-4"><span class="mr-1">{{$article->created_at->format('d M Y')}}</span> /
                    {{$article->tags()->pluck('tag_title')->implode(', ')}}&nbsp;</h5>
                <p class="text">{{$article->body}}</p>
                <p>
                    <b>Автор стотьи:</b> {{$article->user->name}}
                </p>
                <p class="text-right"><a href="{{route('admin.articles.show', ['article' => $article])}}">read more...</a></p>
                <hr class="mt-5 mb-5">
            @endforeach
        </div>
        <div class="col-4">
            <a href="{{route('admin.articles.index')}}" class="btn btn-primary btn-sm mb-4">Add article</a>
            <h4>Tags</h4>
            @foreach($tags as $tag)
                <div><a href="{{route('admin.tags.show', ['tag' => $tag])}}">{{$tag->tag_title}}</a></div>
            @endforeach

            <h4 style="margin-top: 10px">Category</h4>
            @foreach($categories as $category)
                <div><a href="{{route('admin.categories.show', ['category' => $category])}}">{{$category->title_category}}</a></div>
            @endforeach
        </div>
    </div>
    </div>

@endsection